<div class="col-12 mt-4">
  <h1 class="col-6 m-auto">{{title}}</h1>
  <div class="col-6 offset-3 mt-4">
    <form #loginForm="ngForm" (ngSubmit)="onSubmit()">
      <div *ngIf="status=='success'" class="alert alert-success">{{message}}</div>
      <div *ngIf="status=='error'" class="alert alert-danger">{{message}}</div>
      <p>
        <label for="email">E-mail:</label>
        <input type="text" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
        pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
        <small *ngIf="!email.valid && email.touched" class="invalid-feedback d-block">El e-mail no es válido</small>
      </p>
      <p>
        <label for="password">Contraseña</label>
        <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control" required>
        <small *ngIf="!password.valid && password.touched" class="invalid-feedback d-block">El password no es válido</small>
      </p>
      <p>
        <input type="submit" value="Entrar" class="btn btn-success" [disabled]="!loginForm.form.valid">
      </p>
    </form>
  </div>
</div>